Index: python/install.py
===================================================================
--- python/install.py	(revision fb8810cda0dbbf0169e05332ef2fe5632ef1214e)
+++ python/install.py	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -1,11 +1,11 @@
 #!/usr/bin/env python
-#
+#             
 # This software is licensed under the terms of the Apache Licence Version 2.0
-# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-#
+# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0. 
+# 
 # Functionality provided: Prepare input 3D-wind fields in hybrid coordinates + surface fields for FLEXPART runs
 #
 # Creation: October  2014 - Anne Fouilloux - University of Oslo
-# Extension November 2015 - Leopold Haimberger - University of Vienna for:
+# Extension November 2015 - Leopold Haimberger - University of Vienna for: 
 # - using the WebAPI also for general MARS retrievals
 # - job submission on ecgate and cca
@@ -15,9 +15,9 @@
 # - conversion into GRIB2
 # - conversion into .fp format for faster execution of FLEXPART
-#
+# 
 #
 # Further documentation may be obtained from www.flexpart.eu
-#
-# Requirements:
+# 
+# Requirements: 
 # in addition to a standard python 2.6 or 2.7 installation the following packages need to be installed
 # ECMWF WebMARS, gribAPI with python enabled, emoslib, ecaccess web toolkit, all available from https://software.ecmwf.int/
@@ -25,5 +25,5 @@
 # matplotlib (optional, for debugging)
 #
-#
+# 
 import calendar
 import shutil
@@ -56,73 +56,73 @@
     if args.install_target!=None:
         install_via_gateway(c,args.install_target)
-
+	
     else:
-        print 'Please specify installation target (local|ecgate|cca)'
-        print 'use -h or --help for help'
+	print 'Please specify installation target (local|ecgate|cca)'
+	print 'use -h or --help for help'
     sys.exit()
-
+        
 def install_via_gateway(c,target):
-
-    ecd=c.flexextractdir
+    
+    ecd=c.ecmwfdatadir
     template=ecd+'python/compilejob.temp'
     job=ecd+'python/compilejob.ksh'
     fo=open(job,'w')
     with open(template) as f:
-        fdata = f.read().split('\n')
-        for data in fdata:
-            if 'MAKEFILE=' in data:
-                if c.makefile is not None:
-                    data='export MAKEFILE='+c.makefile
-            if 'FLEXPART_ROOT_SCRIPTS=' in data:
-                if c.flexpart_root_scripts!='../':
-                    data='export FLEXPART_ROOT_SCRIPTS='+c.flexpart_root_scripts
-                else:
-                    data='export FLEXPART_ROOT_SCRIPTS=$HOME'
-            if target.lower()!='local':
-                if '--workdir' in data:
-                    data='#SBATCH --workdir=/scratch/ms/'+c.ecgid+'/'+c.ecuid
-                if '##PBS -o' in data:
-                    data='##PBS -o /scratch/ms/'+c.ecgid+'/'+c.ecuid+'flex_ecmwf.$Jobname.$Job_ID.out'
-                if 'FLEXPART_ROOT_SCRIPTS=' in data:
-                    if c.ec_flexpart_root_scripts!='../':
-                        data='export FLEXPART_ROOT_SCRIPTS='+c.ec_flexpart_root_scripts
-                    else:
-                        data='export FLEXPART_ROOT_SCRIPTS=$HOME'
-
-            fo.write(data+'\n')
+	fdata = f.read().split('\n')
+	for data in fdata:
+	    if 'MAKEFILE=' in data:
+		if c.makefile is not None:
+		    data='export MAKEFILE='+c.makefile
+	    if 'FLEXPART_ROOT_SCRIPTS=' in data:
+		if c.flexpart_root_scripts!='../':
+		    data='export FLEXPART_ROOT_SCRIPTS='+c.flexpart_root_scripts
+		else:
+		    data='export FLEXPART_ROOT_SCRIPTS=$HOME'
+	    if target.lower()!='local':
+		if '--workdir' in data:
+		    data='#SBATCH --workdir=/scratch/ms/'+c.ecgid+'/'+c.ecuid
+		if '##PBS -o' in data:
+		    data='##PBS -o /scratch/ms/'+c.ecgid+'/'+c.ecuid+'flex_ecmwf.$Jobname.$Job_ID.out'
+		if 'FLEXPART_ROOT_SCRIPTS=' in data:
+		    if c.ec_flexpart_root_scripts!='../':
+			data='export FLEXPART_ROOT_SCRIPTS='+c.ec_flexpart_root_scripts
+		    else:
+			data='export FLEXPART_ROOT_SCRIPTS=$HOME'
+			
+	    fo.write(data+'\n')
     f.close()
     fo.close()
+    
+    if target.lower()!='local':
+	template=ecd+'python/job.temp.o'
+	with open(template) as f:
+	    fdata = f.read().split('\n')
+	f.close()
+	fo=open(template[:-2],'w')
+	for data in fdata:
+	    if '--workdir' in data:
+		data='#SBATCH --workdir=/scratch/ms/'+c.ecgid+'/'+c.ecuid
+	    if '##PBS -o' in data:
+		data='##PBS -o /scratch/ms/'+c.ecgid+'/'+c.ecuid+'flex_ecmwf.$Jobname.$Job_ID.out'
+	    if  'export PATH=${PATH}:' in data:
+		data+=c.ec_flexpart_root_scripts+'/ECMWFDATA7.0/python'
+		
+	    if 'cat>>' in data or 'cat >>' in data:
+		i=data.index('>')
+		fo.write(data[:i]+data[i+1:]+'\n')
+		fo.write('GATEWAY '+c.gateway+'\n')
+		fo.write('DESTINATION '+c.destination+'\n')
+		fo.write('EOF\n')
 
-    if target.lower()!='local':
-        template=ecd+'python/job.temp.o'
-        with open(template) as f:
-            fdata = f.read().split('\n')
-        f.close()
-        fo=open(template[:-2],'w')
-        for data in fdata:
-            if '--workdir' in data:
-                data='#SBATCH --workdir=/scratch/ms/'+c.ecgid+'/'+c.ecuid
-            if '##PBS -o' in data:
-                data='##PBS -o /scratch/ms/'+c.ecgid+'/'+c.ecuid+'flex_ecmwf.$Jobname.$Job_ID.out'
-            if  'export PATH=${PATH}:' in data:
-                data+=c.ec_flexpart_root_scripts+'/flex_extract_v7.0.4/python'
-
-            if 'cat>>' in data or 'cat >>' in data:
-                i=data.index('>')
-                fo.write(data[:i]+data[i+1:]+'\n')
-                fo.write('GATEWAY '+c.gateway+'\n')
-                fo.write('DESTINATION '+c.destination+'\n')
-                fo.write('EOF\n')
-
-            fo.write(data+'\n')
-        fo.close()
-
-        job=ecd+'python/ECMWF_ENV'
-        fo=open(job,'w')
-        fo.write('ECUID '+c.ecuid+'\n')
-        fo.write('ECGID '+c.ecgid+'\n')
-        fo.write('GATEWAY '+c.gateway+'\n')
-        fo.write('DESTINATION '+c.destination+'\n')
-        fo.close()
+	    fo.write(data+'\n')
+	fo.close()
+	
+	job=ecd+'python/ECMWF_ENV'
+	fo=open(job,'w')
+	fo.write('ECUID '+c.ecuid+'\n')
+	fo.write('ECGID '+c.ecgid+'\n')
+	fo.write('GATEWAY '+c.gateway+'\n')
+	fo.write('DESTINATION '+c.destination+'\n')
+	fo.close()
 
 
@@ -130,62 +130,62 @@
     if target.lower()=='local':
         # compile CONVERT2
-        if c.flexpart_root_scripts==None or c.flexpart_root_scripts=='../':
-            print 'Warning: FLEXPART_ROOT_SCRIPTS has not been specified'
-            print 'Only CONVERT2 will be compiled in '+ecd+'/../src'
-        else:
-            c.flexpart_root_scripts=os.path.expandvars(os.path.expanduser(c.flexpart_root_scripts))
-            if os.path.abspath(ecd)!=os.path.abspath(c.flexpart_root_scripts):
-                os.chdir('/')
-                p=subprocess.check_call(['tar','-cvf',ecd+'../flex_extract_v7.0.4.tar',ecd+'python',ecd+'grib_templates',ecd+'src'])
-                try:
-                    os.makedirs(c.flexpart_root_scripts+'/flex_extract_v7.0.4')
-                except:
-                    pass
-                os.chdir(c.flexpart_root_scripts+'/flex_extract_v7.0.4')
-                p=subprocess.check_call(['tar','-xvf',ecd+'../flex_extract_v7.0.4.tar'])
-                os.chdir(c.flexpart_root_scripts+'/flex_extract_v7.0.4/src')
-
-        os.chdir('../src')
-        print 'install flex_extract_v7.0.4 software on '+target+' in directory '+os.getcwd()
-        if c.makefile==None:
-            makefile='Makefile.local.ifort'
-        else:
-            makefile=c.makefile
-        flist=glob.glob('*.mod')+glob.glob('*.o')
-        if flist:
-            p=subprocess.check_call(['rm']+flist)
+	if c.flexpart_root_scripts==None or c.flexpart_root_scripts=='../':
+	    print 'Warning: FLEXPART_ROOT_SCRIPTS has not been specified'
+	    print 'Only CONVERT2 will be compiled in '+ecd+'/../src'
+	else:
+	    c.flexpart_root_scripts=os.path.expandvars(os.path.expanduser(c.flexpart_root_scripts))
+	    if os.path.abspath(ecd)!=os.path.abspath(c.flexpart_root_scripts):
+		os.chdir('/')
+		p=subprocess.check_call(['tar','-cvf',ecd+'../ECMWFDATA7.0.tar',ecd+'python',ecd+'grib_templates',ecd+'src'])
+		try:
+		    os.makedirs(c.flexpart_root_scripts+'/ECMWFDATA7.0')
+		except:
+		    pass
+		os.chdir(c.flexpart_root_scripts+'/ECMWFDATA7.0')
+		p=subprocess.check_call(['tar','-xvf',ecd+'../ECMWFDATA7.0.tar'])
+		os.chdir(c.flexpart_root_scripts+'/ECMWFDATA7.0/src')
+		
+	os.chdir('../src')
+	print 'install ECMWFDATA7.0 software on '+target+' in directory '+os.getcwd()
+	if c.makefile==None:
+	    makefile='Makefile.local.ifort'
+	else:
+	    makefile=c.makefile
+	flist=glob.glob('*.mod')+glob.glob('*.o')
+	if flist:
+	    p=subprocess.check_call(['rm']+flist)	    
         try:
-            print 'Using makefile: '+makefile
-            p=subprocess.check_call(['make','-f',makefile])
-            p=subprocess.check_call(['ls','-l','CONVERT2'])
-        except:
-            print 'compile failed - please edit '+makefile+' or try another Makefile in the src directory.'
-            print 'most likely GRIB_API_INCLUDE_DIR, GRIB_API_LIB and EMOSLIB must be adapted.'
-            print 'Available Makefiles:'
-            print glob.glob('Makefile*')
-
+	    print 'Using makefile: '+makefile
+	    p=subprocess.check_call(['make','-f',makefile])
+	    p=subprocess.check_call(['ls','-l','CONVERT2'])
+	except:
+	    print 'compile failed - please edit '+makefile+' or try another Makefile in the src directory.'
+	    print 'most likely GRIB_API_INCLUDE_DIR, GRIB_API_LIB and EMOSLIB must be adapted.'
+	    print 'Available Makefiles:'
+	    print glob.glob('Makefile*')
+	
     elif target.lower()=='ecgate':
         os.chdir('/')
-        p=subprocess.check_call(['tar','-cvf',ecd+'../flex_extract_v7.0.4.tar',ecd+'python',ecd+'grib_templates',ecd+'src'])
-        try:
-            p=subprocess.check_call(['ecaccess-file-put',ecd+'../flex_extract_v7.0.4.tar','ecgate:/home/ms/'+c.ecgid+'/'+c.ecuid+'/flex_extract_v7.0.4.tar'])
-        except:
-            print 'ecaccess-file-put failed! Probably the eccert key has expired.'
-            exit(1)
+        p=subprocess.check_call(['tar','-cvf',ecd+'../ECMWFDATA7.0.tar',ecd+'python',ecd+'grib_templates',ecd+'src'])
+	try:
+	    p=subprocess.check_call(['ecaccess-file-put',ecd+'../ECMWFDATA7.0.tar','ecgate:/scratch/ms/'+c.ecgid+'/'+c.ecuid+'/ECMWFDATA7.0.tar'])
+	except:
+	    print 'ecaccess-file-put failed! Probably the eccert key has expired.'
+	    exit(1)
         p=subprocess.check_call(['ecaccess-job-submit','-queueName',target,ecd+'python/compilejob.ksh'])
-        print 'compilejob.ksh has been submitted to ecgate for installation in '+c.ec_flexpart_root_scripts+'/flex_extract_v7.0.4'
-        print 'You should get an email with subject flexcompile within the next few minutes'
+	print 'compilejob.ksh has been submitted to ecgate for installation in '+c.ec_flexpart_root_scripts+'/ECMWFDATA7.0'
+	print 'You should get an email with subject flexcompile within the next few minutes'
     elif target.lower()=='cca':
         os.chdir('/')
-        p=subprocess.check_call(['tar','-cvf',ecd+'../flex_extract_v7.0.4.tar',ecd+'python',ecd+'grib_templates',ecd+'src'])
-        try:
-            p=subprocess.check_call(['ecaccess-file-put',ecd+'../flex_extract_v7.0.4.tar','cca:/home/ms/'+c.ecgid+'/'+c.ecuid+'/flex_extract_v7.0.4.tar'])
-        except:
-            print 'ecaccess-file-put failed! Probably the eccert key has expired.'
-            exit(1)
-
+        p=subprocess.check_call(['tar','-cvf',ecd+'../ECMWFDATA7.0.tar',ecd+'python',ecd+'grib_templates',ecd+'src'])
+	try:
+	    p=subprocess.check_call(['ecaccess-file-put',ecd+'../ECMWFDATA7.0.tar','cca:/scratch/ms/'+c.ecgid+'/'+c.ecuid+'/ECMWFDATA7.0.tar'])
+	except:
+	    print 'ecaccess-file-put failed! Probably the eccert key has expired.'
+	    exit(1)
+	    
         p=subprocess.check_call(['ecaccess-job-submit','-queueName',target,ecd+'python/compilejob.ksh'])
-        print 'compilejob.ksh has been submitted to cca for installation in '+c.ec_flexpart_root_scripts+'/flex_extract_v7.0.4'
-        print 'You should get an email with subject flexcompile within the next few minutes'
+	print 'compilejob.ksh has been submitted to cca for installation in '+c.ec_flexpart_root_scripts+'/ECMWFDATA7.0'
+	print 'You should get an email with subject flexcompile within the next few minutes'
     else:
         print 'ERROR: unknown installation target ',target
@@ -193,5 +193,5 @@
     return
 
-
+            
 if __name__ == "__main__":
     main()
Index: python/job.ksh
===================================================================
--- python/job.ksh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/job.ksh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -0,0 +1,132 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/spatlh00/lh0
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q np
+##PBS -S /usr/bin/ksh
+## -o /scratch/ms/spatlh00/lh0/flex_ecmwf.$PBS_JOBID.out
+## job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=24
+##PBS -l EC_memory_per_task=32000MB
+
+set -x
+
+case $HOST in
+  *ecg*)
+  module load python
+  module unload grib_api
+  module unload emos
+  module load grib_api/1.14.5
+  module load emos/437-r64
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  ;;
+  *cca*)
+  module switch PrgEnv-cray PrgEnv-intel
+  module load grib_api
+  module load emos
+  module load python
+  export SCRATCH=$TMPDIR
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  ;;
+#  *)
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PATH=/opt/anaconda/bin:$ECMWFDATA/python:${PATH}
+#  export PYTHONPATH=/opt/anaconda/lib/python2.7/site-packages/grib_api:$ECMWFDATA/python
+#  export SCRATCH=$ECMWFDATA/python
+#  which python
+#  ;;
+esac
+
+cd $SCRATCH
+mkdir -p python$$
+cd python$$
+
+export CONTROL=CONTROL
+
+cat >$CONTROL<<EOF
+GATEWAY srvx7.img.univie.ac.at
+DESTINATION leo@genericSftp
+accuracy 16
+addpar 186 187 188 235 139 39 
+basetime None
+cwc 0
+date_chunk 3
+debug 0
+dpdeta 1
+dtime 3
+ecfsdir ectmp:/${USER}/econdemand/
+ecstorage 1
+ectrans 0
+end_date 20131107
+eta 0
+etadiff 0
+expver 1
+format GRIB1
+gauss 1
+grib2flexpart 0
+grid 5000
+inputdir ../work
+left -175000
+level 60
+levelist 1/to/60
+lower -90000
+mailfail ${USER}
+mailops ${USER}
+makefile None
+marsclass EI
+maxstep 11
+number OFF
+omega 0
+omegadiff 0
+outputdir ../work
+prefix EN
+resol 63
+right 180000
+smooth 0
+start_date 20131107
+step 00 01 02 03 04 05 00 07 08 09 10 11 00 01 02 03 04 05 00 07 08 09 10 11 
+stream OPER
+time 00 00 00 00 00 00 06 00 00 00 00 00 12 12 12 12 12 12 18 12 12 12 12 12 
+type AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC 
+upper 90000
+EOF
+
+
+submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work >prot
+
+if [ $? -eq 0 ] ; then
+  l=0
+  for muser in `grep -i MAILOPS $CONTROL`; do
+      if [ $l -gt 0 ] ; then 
+         mail -s flex.${HOST}.$$ $muser <prot
+      fi
+      l=$(($l+1))
+  done
+else
+  l=0
+  for muser in `grep -i MAILFAIL $CONTROL`; do
+      if [ $l -gt 0 ] ; then 
+         mail -s "ERROR! flex.${HOST}.$$" $muser <prot
+      fi
+      l=$(($l+1))
+  done
+fi
+
Index: python/job.temp
===================================================================
--- python/job.temp	(revision 21938083773b1bba2e82ee565f34eba3445dfa1a)
+++ python/job.temp	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -5,5 +5,5 @@
 # start with sbatch NAME_OF_THIS_FILE directly on machine
 
-#SBATCH --workdir=/scratch/ms/at/km4a
+#SBATCH --workdir=/scratch/ms/spatlh00/lh0
 #SBATCH --qos=normal
 #SBATCH --job-name=flex_ecmwf
@@ -11,5 +11,5 @@
 #SBATCH --error=flex_ecmwf.%j.out
 #SBATCH --mail-type=FAIL
-#SBATCH --time=24:00:00
+#SBATCH --time=12:00:00
 
 ## CRAY specific batch requests
@@ -25,5 +25,5 @@
 
 set -x
-export VERSION=7.0.4
+
 case $HOST in
   *ecg*)
@@ -33,5 +33,7 @@
   module load grib_api/1.14.5
   module load emos/437-r64
-  export PATH=${PATH}:${HOME}/flex_extract_v7.0.4/python
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
   ;;
   *cca*)
@@ -41,6 +43,15 @@
   module load python
   export SCRATCH=$TMPDIR
-  export PATH=${PATH}:${HOME}/flex_extract_v7.0.4/python
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
   ;;
+#  *)
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PATH=/opt/anaconda/bin:$ECMWFDATA/python:${PATH}
+#  export PYTHONPATH=/opt/anaconda/lib/python2.7/site-packages/grib_api:$ECMWFDATA/python
+#  export SCRATCH=$ECMWFDATA/python
+#  which python
+#  ;;
 esac
 
@@ -52,6 +63,6 @@
 
 cat >$CONTROL<<EOF
-GATEWAY srvx8.img.univie.ac.at
-DESTINATION annep@genericSftp
+GATEWAY srvx7.img.univie.ac.at
+DESTINATION leo@genericSftp
 EOF
 cat >>$CONTROL<<EOF
@@ -59,5 +70,5 @@
 
 
-submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work 1> prot 2>&1
+submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work >prot
 
 if [ $? -eq 0 ] ; then
Index: python/job.temp.o
===================================================================
--- python/job.temp.o	(revision 21938083773b1bba2e82ee565f34eba3445dfa1a)
+++ python/job.temp.o	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -11,5 +11,5 @@
 #SBATCH --error=flex_ecmwf.%j.out
 #SBATCH --mail-type=FAIL
-#SBATCH --time=24:00:00
+#SBATCH --time=12:00:00
 
 ## CRAY specific batch requests
@@ -25,5 +25,5 @@
 
 set -x
-export VERSION=7.0.4
+
 case $HOST in
   *ecg*)
@@ -33,4 +33,6 @@
   module load grib_api/1.14.5
   module load emos/437-r64
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
   export PATH=${PATH}:
   ;;
@@ -41,6 +43,15 @@
   module load python
   export SCRATCH=$TMPDIR
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
   export PATH=${PATH}:
   ;;
+#  *)
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PATH=/opt/anaconda/bin:$ECMWFDATA/python:${PATH}
+#  export PYTHONPATH=/opt/anaconda/lib/python2.7/site-packages/grib_api:$ECMWFDATA/python
+#  export SCRATCH=$ECMWFDATA/python
+#  which python
+#  ;;
 esac
 
@@ -55,5 +66,5 @@
 
 
-submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work 1> prot 2>&1
+submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work >prot
 
 if [ $? -eq 0 ] ; then
Index: python/joboper.ksh
===================================================================
--- python/joboper.ksh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/joboper.ksh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
@@ -0,0 +1,132 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/spatlh00/lh0
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q np
+##PBS -S /usr/bin/ksh
+## -o /scratch/ms/spatlh00/lh0/flex_ecmwf.$PBS_JOBID.out
+## job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=24
+##PBS -l EC_memory_per_task=32000MB
+
+set -x
+
+case $HOST in
+  *ecg*)
+  module load python
+  module unload grib_api
+  module unload emos
+  module load grib_api/1.14.5
+  module load emos/437-r64
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  ;;
+  *cca*)
+  module switch PrgEnv-cray PrgEnv-intel
+  module load grib_api
+  module load emos
+  module load python
+  export SCRATCH=$TMPDIR
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PYTHONPATH=$ECMWFDATA/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  ;;
+#  *)
+#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export PATH=/opt/anaconda/bin:$ECMWFDATA/python:${PATH}
+#  export PYTHONPATH=/opt/anaconda/lib/python2.7/site-packages/grib_api:$ECMWFDATA/python
+#  export SCRATCH=$ECMWFDATA/python
+#  which python
+#  ;;
+esac
+
+cd $SCRATCH
+mkdir -p python$$
+cd python$$
+
+export CONTROL=CONTROL
+
+cat >$CONTROL<<EOF
+GATEWAY srvx7.img.univie.ac.at
+DESTINATION leo@genericSftp
+accuracy 16
+addpar 186 187 188 235 139 39 
+basetime None
+cwc 0
+date_chunk 3
+debug 0
+dpdeta 1
+dtime 3
+ecfsdir ectmp:/${USER}/econdemand/
+ecstorage 1
+ectrans 0
+start_date ${MSJ_YEAR}${MSJ_MONTH}${MSJ_DAY}
+eta 0
+etadiff 0
+expver 1
+format GRIB1
+gauss 1
+grib2flexpart 0
+grid 5000
+inputdir ../work
+left -175000
+level 60
+levelist 1/to/60
+lower -90000
+mailfail ${USER}
+mailops ${USER}
+makefile None
+marsclass EI
+maxstep 11
+number OFF
+omega 0
+omegadiff 0
+outputdir ../work
+prefix EN
+resol 63
+right 180000
+smooth 0
+start_date ${MSJ_YEAR}${MSJ_MONTH}${MSJ_DAY}
+step 00 01 02 03 04 05 00 07 08 09 10 11 00 01 02 03 04 05 00 07 08 09 10 11 
+stream OPER
+time 00 00 00 00 00 00 06 00 00 00 00 00 12 12 12 12 12 12 18 12 12 12 12 12 
+type AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC 
+upper 90000
+EOF
+
+
+submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work >prot
+
+if [ $? -eq 0 ] ; then
+  l=0
+  for muser in `grep -i MAILOPS $CONTROL`; do
+      if [ $l -gt 0 ] ; then 
+         mail -s flex.${HOST}.$$ $muser <prot
+      fi
+      l=$(($l+1))
+  done
+else
+  l=0
+  for muser in `grep -i MAILFAIL $CONTROL`; do
+      if [ $l -gt 0 ] ; then 
+         mail -s "ERROR! flex.${HOST}.$$" $muser <prot
+      fi
+      l=$(($l+1))
+  done
+fi
+
